Passer au contenu principal
PATCH
https://{tenantDomain}/api/v2
/
flows
/
vault
/
connections
/
{id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Flows.Vault;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Flows.Vault.Connections.UpdateAsync(
            id: "id",
            request: new UpdateFlowsVaultConnectionRequestContent()
        );
    }

}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.flows.vault.connections.requests.UpdateFlowsVaultConnectionRequestContent;

public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();

client.flows().vault().connections().update(
"id",
UpdateFlowsVaultConnectionRequestContent
.builder()
.build()
);
}
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Flows\Vault\Connections\Requests\UpdateFlowsVaultConnectionRequestContent;

$client = new Management(
token: '<token>',
);
$client->flows->vault->connections->update(
'id',
new UpdateFlowsVaultConnectionRequestContent([]),
);
from auth0.management import ManagementClient

client = ManagementClient(
token="<token>",
)

client.flows.vault.connections.update(
id="id",
)
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.flows.vault.connections.update(id: "id")
curl --request PATCH \
--url https://{tenantDomain}/api/v2/flows/vault/connections/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"setup": {
"type": "API_KEY",
"api_key": "<string>",
"base_url": "<string>"
}
}
'
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
setup: {type: 'API_KEY', api_key: '<string>', base_url: '<string>'}
})
};

fetch('https://{tenantDomain}/api/v2/flows/vault/connections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://{tenantDomain}/api/v2/flows/vault/connections/{id}"

payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"setup\": {\n \"type\": \"API_KEY\",\n \"api_key\": \"<string>\",\n \"base_url\": \"<string>\"\n }\n}")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "id": "<string>",
  "app_id": "<string>",
  "name": "<string>",
  "ready": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "fingerprint": "<string>",
  "environment": "<string>",
  "account_name": "<string>",
  "refreshed_at": "2023-11-07T05:31:56Z"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis

Flows Vault connection ID

Maximum string length: 30

Corps

name
string

Flows Vault Connection name.

Required string length: 1 - 150
setup
object

Flows Vault Connection configuration.

Réponse

Flow vault connection successfully updated.

id
string<flows-vault-connections-id>
requis

Flows Vault Connection identifier.

Maximum string length: 30
app_id
string
requis

Flows Vault Connection app identifier.

Required string length: 1 - 55
name
string
requis

Flows Vault Connection name.

Required string length: 1 - 150
ready
boolean
requis

Whether the Flows Vault Connection is configured.

created_at
string<date-time>
requis

The ISO 8601 formatted date when this Flows Vault Connection was created.

updated_at
string<date-time>
requis

The ISO 8601 formatted date when this Flows Vault Connection was updated.

fingerprint
string
requis
Minimum string length: 1
environment
string

Flows Vault Connection environment.

Required string length: 1 - 55
account_name
string

Flows Vault Connection custom account name.

Required string length: 1 - 150
refreshed_at
string<date-time>

The ISO 8601 formatted date when this Flows Vault Connection was refreshed.